<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Lookup (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Lookup (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Lookup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/LogicalFunction.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Lookup.html"
               target="_top">Frames</a></li>
        <li><a href="Lookup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Class Lookup" class="title">Class Lookup</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.functions.Lookup</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                           title="interface in org.apache.poi.ss.formula.functions">Function</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function2Arg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function3Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function3Arg</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Lookup</span>
extends java.lang.Object</pre>
                <div class="block">Implementation of Excel function LOOKUP.<p>

                    LOOKUP finds an index row in a lookup table by the first column value and returns the value from
                    another column.

                    <b>Syntax</b>:<br>
                    <b>VLOOKUP</b>(<b>lookup_value</b>, <b>lookup_vector</b>, result_vector)
                    <p>

                        <b>lookup_value</b> The value to be found in the lookup vector.<br>
                        <b>lookup_vector</> An area reference for the lookup data. <br>
                        <b>result_vector</b> Single row or single column area reference from which the result value is
                        chosen.<br></div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html#Lookup--">Lookup</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html#evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">evaluate</a></span>(int&nbsp;srcRowIndex,
                                    int&nbsp;srcColumnIndex,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg1)</code>
                                    <div class="block">see <a
                                            href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                        int, int)</code></a></div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html#evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">evaluate</a></span>(int&nbsp;srcRowIndex,
                                    int&nbsp;srcColumnIndex,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg1,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg2)</code>
                                    <div class="block">see <a
                                            href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                        int, int)</code></a></div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                                    int&nbsp;srcRowIndex,
                                    int&nbsp;srcColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Lookup--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Lookup</h4>
                                <pre>public&nbsp;Lookup()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;evaluate(int&nbsp;srcRowIndex,
                          int&nbsp;srcColumnIndex,
                          <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                             title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0,
                          <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                             title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html#evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">Function2Arg</a></code></span>
                                </div>
                                <div class="block">see <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                    int, int)</code></a></div>
                            </li>
                        </ul>
                        <a name="evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;evaluate(int&nbsp;srcRowIndex,
                          int&nbsp;srcColumnIndex,
                          <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                             title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0,
                          <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                             title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg1,
                          <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                             title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function3Arg.html#evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-org.apache.poi.ss.formula.eval.ValueEval-">Function3Arg</a></code></span>
                                </div>
                                <div class="block">see <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                    int, int)</code></a></div>
                            </li>
                        </ul>
                        <a name="evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;evaluate(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                                int&nbsp;srcRowIndex,
                                int&nbsp;srcColumnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                                title="interface in org.apache.poi.ss.formula.functions">Function</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>args</code> - the evaluated function arguments. Empty values are
                                        represented with
                                        <a href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                           title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a> or
                                        <a href="../../../../../../org/apache/poi/ss/formula/eval/MissingArgEval.html"
                                           title="class in org.apache.poi.ss.formula.eval"><code>MissingArgEval</code></a>,
                                        never <code>null</code>.
                                    </dd>
                                    <dd><code>srcRowIndex</code> - row index of the cell containing the formula under
                                        evaluation
                                    </dd>
                                    <dd><code>srcColumnIndex</code> - column index of the cell containing the formula
                                        under evaluation
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The evaluated result, possibly an <a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html"
                                            title="class in org.apache.poi.ss.formula.eval"><code>ErrorEval</code></a>,
                                        never <code>null</code>.
                                        <b>Note</b> - Excel uses the error code <i>#NUM!</i> instead of IEEE <i>NaN</i>,
                                        so when
                                        numeric functions evaluate to <code>Double.NaN</code> be sure to translate the
                                        result to <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html#NUM_ERROR"><code>ErrorEval.NUM_ERROR</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Lookup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/LogicalFunction.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Lookup.html"
               target="_top">Frames</a></li>
        <li><a href="Lookup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
